LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XToolkit Interface Referencepublished

specifies a factory interface for the window toolkit. More...

`import"XToolkit.idl";`

Inheritance diagram for XToolkit:

## Public Member Functions
com::sun::star::awt::XWindowPeer | getDesktopWindow ()
| returns the desktop window. More...
com::sun::star::awt::Rectangle | getWorkArea ()
| For LibreOffice versions < 4.1, this method just returned an empty rectangle. More...
com::sun::star::awt::XWindowPeer | createWindow ([in] com::sun::star::awt::WindowDescriptor Descriptor) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a new window using the given descriptor. More...
sequence< com::sun::star::awt::XWindowPeer > | createWindows ([in] sequence< com::sun::star::awt::WindowDescriptor > Descriptors) raises ( com::sun::star::lang::IllegalArgumentException )
| returns a sequence of windows which are newly created using the given descriptors. More...
com::sun::star::awt::XDevice | createScreenCompatibleDevice ([in] long Width, [in] long Height)
| creates a virtual device that is compatible with the screen. More...
com::sun::star::awt::XRegion | createRegion ()
| creates a region. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a factory interface for the window toolkit.

This is similar to the abstract window toolkit (AWT) in Java.

Developers Guide
  Office Development - Java Window Integration

## Member Function Documentation

## ◆ createRegion()

com::sun::star::awt::XRegion createRegion | ( |  | ) |

creates a region.

## ◆ createScreenCompatibleDevice()

com::sun::star::awt::XDevice createScreenCompatibleDevice | ( | [in] long | Width,
|  | [in] long | Height
| ) |  |

creates a virtual device that is compatible with the screen.

## ◆ createWindow()

com::sun::star::awt::XWindowPeer createWindow | ( | [in] com::sun::star::awt::WindowDescriptor | Descriptor | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a new window using the given descriptor.

## ◆ createWindows()

sequence< com::sun::star::awt::XWindowPeer > createWindows | ( | [in] sequence< com::sun::star::awt::WindowDescriptor > | Descriptors | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

returns a sequence of windows which are newly created using the given descriptors.

## ◆ getDesktopWindow()

com::sun::star::awt::XWindowPeer getDesktopWindow | ( |  | ) |

returns the desktop window.

## ◆ getWorkArea()

com::sun::star::awt::Rectangle getWorkArea | ( |  | ) |

For LibreOffice versions < 4.1, this method just returned an empty rectangle.

After that, it started returning a valid value.

Returns
  the size and position of the primary display

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XToolkit.idl